[arch-commits] Commit in libxfixes/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Wed Oct 15 10:12:06 EDT 2008


    Date: Wednesday, October 15, 2008 @ 10:12:06
  Author: ronald
Revision: 15562

fix license

Modified:
  libxfixes/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-15 13:56:25 UTC (rev 15561)
+++ PKGBUILD	2008-10-15 14:12:06 UTC (rev 15562)
@@ -5,18 +5,23 @@
 pkgver=4.0.3
 pkgrel=1
 pkgdesc="X11 miscellaneous 'fixes' extension library"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://xorg.freedesktop.org/"
 depends=('libx11' 'fixesproto')
 makedepends=('pkgconfig')
-options=('nolibtool')
+options=('!libtool')
 source=(${url}/releases/individual/lib/libXfixes-${pkgver}.tar.bz2)
+license=('custom')
 md5sums=('1990d19725a3c7f32290037f02d3737f')
 
 build() {
-  cd ${startdir}/src/libXfixes-${pkgver}
+  cd ${srcdir}/libXfixes-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+  # install custom license
+  install -Dm644 $srcdir/libXfixes-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING || return 1
 }




More information about the arch-commits mailing list